import { AlertService } from '@zeedhi/common';
import { Http } from '@zeedhi/core';

export class OperatorCustomerController {
	public teste: any = { backgroundColor: "" };

	public backendUrl: string;

	constructor() {
		this.backendUrl = process.env.VUE_APP_BACKEND_URL;
	}

	public showBasicAlert() {
		AlertService.show({ name: 'basic-alert', text: 'A basic alert' });
	}

	public rowClick({ event }: any) {
		this.teste.backgroundColor = "";
		this.teste = event.srcElement.parentElement.style;
		this.teste.backgroundColor = "#f3f3f3";
	}

	public async onMounted() {
		const oper = await Http.get('/operatorByCustomer');
		console.log(oper);
	}
}
